package com.pcloud.common.core.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description：TODO
 * @Author：lixg
 * @Date：2018/6/11
 * @Version：1.0
 */
public class PromotionTerminateDto implements Serializable {

    private static final long serialVersionUID = -1317950519398041704L;

    /**
     * 目标ID
     */
    private Long targetId;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 目标类别
     */
    private String targetClass;

    /**
     * 终止动作
     */
    private String terminateAction;

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetType() {
        return targetType;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    public String getTargetClass() {
        return targetClass;
    }

    public void setTargetClass(String targetClass) {
        this.targetClass = targetClass;
    }

    public String getTerminateAction() {
        return terminateAction;
    }

    public void setTerminateAction(String terminateAction) {
        this.terminateAction = terminateAction;
    }

    @Override
    public String toString() {
        return "PromotionTerminateDto{" +
                "targetId=" + targetId +
                ", targetType='" + targetType + '\'' +
                ", targetClass='" + targetClass + '\'' +
                ", terminateAction='" + terminateAction + '\'' +
                '}';
    }
}
